---
updatedAt: 2026-05-27T00:16:27.000Z
agentTools:
  projectIndex: https://360learning.readme.io/llms.txt
---

# List all the powers

> 🔑
>
> Required OAuth scope: `skillsPowers:read`.

> 📖
>
> This endpoint is paginated with a page size of 500 powers. For more information, see the [Pagination guide](doc:pagination).

Lists all the powers.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/skills/powers": {
      "get": {
        "description": "> 🔑\n>\n> Required OAuth scope: `skillsPowers:read`.\n\n> 📖\n>\n> This endpoint is paginated with a page size of 500 powers. For more information, see the [Pagination guide](doc:pagination).\n\nLists all the powers.",
        "operationId": "v2.skills.GetPowersController_getPowers",
        "parameters": [
          {
            "name": "360-api-version",
            "in": "header",
            "description": "The version of the API.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "v2.0"
              ]
            }
          },
          {
            "name": "skillId",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **skillId** property with LHS bracket notation.\n\nExpected value format is a string.",
            "schema": {
              "properties": {
                "eq": {
                  "type": "string",
                  "description": "Filter on values equal to the given one",
                  "example": "loremIpsum"
                },
                "in": {
                  "type": "array",
                  "description": "Filter on values including the given ones",
                  "items": {
                    "type": "string",
                    "example": "loremIpsum"
                  }
                }
              }
            }
          },
          {
            "name": "status",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **status** property with LHS bracket notation.\n\nExpected value format is a string (`toAssess`, `pendingValidation`, `validated`).",
            "schema": {
              "properties": {
                "eq": {
                  "type": "string",
                  "description": "Filter on values equal to the given one",
                  "example": "toAssess",
                  "enum": [
                    "toAssess",
                    "pendingValidation",
                    "validated"
                  ]
                },
                "ne": {
                  "type": "string",
                  "description": "Filter on values not equal to the given one",
                  "example": "toAssess",
                  "enum": [
                    "toAssess",
                    "pendingValidation",
                    "validated"
                  ]
                }
              }
            }
          },
          {
            "name": "userId",
            "required": false,
            "in": "query",
            "style": "deepObject",
            "explode": true,
            "description": "Filter on **userId** property with LHS bracket notation.\n\nExpected value format is a valid ID (24 digits or letters).",
            "schema": {
              "properties": {
                "eq": {
                  "type": "string",
                  "format": "ObjectId",
                  "pattern": "^[a-fA-F0-9]{24}$",
                  "description": "Filter on values equal to the given one",
                  "example": "507f1f77bcf86cd799439011"
                },
                "in": {
                  "type": "array",
                  "description": "Filter on values including the given ones",
                  "items": {
                    "type": "string",
                    "format": "ObjectId",
                    "pattern": "^[a-fA-F0-9]{24}$",
                    "example": "507f1f77bcf86cd799439011"
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returns one page of 500 powers.",
            "headers": {
              "Link": {
                "schema": {
                  "type": "string"
                },
                "description": "URL (between `<` `>`) to fetch the immediate next page of results. For more information, see our [Pagination guide](doc:pagination).\n\n⚠️ Only included if there is another page of results.",
                "example": "<my/resource/url>; rel=\"next\""
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PowerDTO"
                  }
                }
              }
            }
          },
          "400": {
            "description": "The skill solution is not enabled.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Skill Solution Not Enabled",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "skillSolutionNotEnabled"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "The given access token is either missing, invalid, has expired, or has been revoked.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "invalid_token"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "The given access token does not have the required OAuth scope to execute the request.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Invalid Scope",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "invalid_scope"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "The client has sent too many requests in a short amount of time. ",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "tooManyRequests"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "summary": "List all the powers",
        "tags": [
          "Skills"
        ]
      }
    }
  },
  "info": {
    "title": "Core API",
    "description": "",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://app.360learning.com",
      "description": "Production EU"
    },
    {
      "url": "https://app.us.360learning.com",
      "description": "Production US"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v2/oauth2/token",
            "scopes": {}
          }
        },
        "description": "Use the token from the authentication endpoint in the Authorization header.\n\nExample: `Authorization: Bearer <token>`"
      }
    },
    "schemas": {
      "SingleChoiceQualifierDTO": {
        "title": "Single Choice Qualifier",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the qualifier.",
            "example": "SKQ1701914859202x53r"
          },
          "type": {
            "type": "string",
            "enum": [
              "singleChoice"
            ],
            "description": "The type of the qualifier."
          },
          "currentValue": {
            "type": "string",
            "description": "The current value of the qualifier.",
            "example": "Intermediate"
          },
          "currentValueId": {
            "type": "string",
            "description": "The unique ID of the current value of the qualifier.",
            "example": "clgz9uqmm0001357bbgggvr1m"
          }
        },
        "required": [
          "_id"
        ]
      },
      "MultiChoiceQualifierDTO": {
        "title": "Multi Choice Qualifier",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the qualifier.",
            "example": "SKQ1701914859202x53r"
          },
          "type": {
            "type": "string",
            "enum": [
              "multiChoice"
            ],
            "description": "The type of the qualifier."
          },
          "currentValues": {
            "description": "The list of the current values of the qualifier.",
            "example": [
              "Intermediate",
              "Advanced"
            ],
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "currentValueIds": {
            "description": "The list of current values unique IDs of the qualifier.",
            "example": [
              "clgz9uqmm0001357bbgggvr1m",
              "clgz9uqmm0001357bbgggvr2p"
            ],
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "_id"
        ]
      },
      "TextQualifierDTO": {
        "title": "Text Qualifier",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the qualifier.",
            "example": "SKQ1701914859202x53r"
          },
          "type": {
            "type": "string",
            "enum": [
              "text"
            ],
            "description": "The type of the qualifier."
          },
          "currentValue": {
            "type": "string",
            "description": "The current value of the qualifier.",
            "example": "The user still need to improve some aspects of the skill. "
          }
        },
        "required": [
          "_id"
        ]
      },
      "NumberQualifierDTO": {
        "title": "Number Qualifier",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the qualifier.",
            "example": "SKQ1701914859202x53r"
          },
          "type": {
            "type": "string",
            "enum": [
              "number"
            ],
            "description": "The type of the qualifier."
          },
          "currentValue": {
            "type": "number",
            "description": "The current value of the qualifier.",
            "example": 10
          }
        },
        "required": [
          "_id"
        ]
      },
      "DateQualifierDTO": {
        "title": "Date Qualifier",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the qualifier.",
            "example": "SKQ1701914859202x53r"
          },
          "type": {
            "type": "string",
            "enum": [
              "date"
            ],
            "description": "The type of the qualifier."
          },
          "currentValue": {
            "format": "date-time",
            "type": "string",
            "description": "The current value of the qualifier, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC)).",
            "example": "2024-09-30T16:56:39.911Z"
          }
        },
        "required": [
          "_id"
        ]
      },
      "PowerDTO": {
        "title": "Power",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the power.",
            "example": "POW1710749206766wgc0"
          },
          "externalId": {
            "type": "string",
            "description": "The unique external ID of the power.",
            "example": "SKI17085916596770pzz"
          },
          "skillId": {
            "type": "string",
            "description": "The unique ID of the skill.",
            "example": "SKI17080760942940q3d"
          },
          "skillExternalId": {
            "type": "string",
            "description": "The unique external ID of the skill.",
            "example": "SKI17080760942940q3d"
          },
          "userId": {
            "type": "string",
            "description": "The unique ID of the user.",
            "example": "642edc18862a6c95d80d0ea1",
            "format": "ObjectId",
            "pattern": "^[a-fA-F0-9]{24}$"
          },
          "createdAt": {
            "format": "date-time",
            "type": "string",
            "description": "The date and time when the power was created, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC)).",
            "example": "2024-04-17T16:32:39.347Z"
          },
          "updatedAt": {
            "format": "date-time",
            "type": "string",
            "description": "The date and time when the power was last updated, in the `YYYY-MM-DDThh:mm:ss.sssZ` format (ISO 8601 in Coordinated Universal Time (UTC)).",
            "example": "2024-09-30T16:56:39.911Z"
          },
          "status": {
            "type": "string",
            "enum": [
              "toAssess",
              "pendingValidation",
              "validated"
            ],
            "description": "The status of the power."
          },
          "qualifiers": {
            "description": "The list of qualifiers of the power.",
            "type": "array",
            "items": {
              "oneOf": [
                {
                  "$ref": "#/components/schemas/SingleChoiceQualifierDTO"
                },
                {
                  "$ref": "#/components/schemas/MultiChoiceQualifierDTO"
                },
                {
                  "$ref": "#/components/schemas/TextQualifierDTO"
                },
                {
                  "$ref": "#/components/schemas/NumberQualifierDTO"
                },
                {
                  "$ref": "#/components/schemas/DateQualifierDTO"
                }
              ]
            }
          }
        },
        "required": [
          "_id",
          "skillId",
          "userId",
          "status",
          "qualifiers"
        ]
      }
    }
  },
  "x-readme": {
    "apply-tag-changes": true
  }
}
```